Change Consumer Profile scheduled payment date
curl --request PATCH \
--url https://api.creditor.younegotiate.com/manage-consumers/{consumer}/scheduled-transactions/{scheduleTransaction}/date \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"schedule_date": "2026-07-15"
}
'import requests
url = "https://api.creditor.younegotiate.com/manage-consumers/{consumer}/scheduled-transactions/{scheduleTransaction}/date"
payload = { "schedule_date": "2026-07-15" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({schedule_date: '2026-07-15'})
};
fetch('https://api.creditor.younegotiate.com/manage-consumers/{consumer}/scheduled-transactions/{scheduleTransaction}/date', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "Payment date changed.",
"data": {
"id": 123,
"schedule_date": "2023-12-25",
"amount": "100.00",
"payment_profile_label": "CARD (xx-4242)",
"frequency_label": "Monthly",
"previous_schedule_date": "2023-12-25",
"original_date_label": "Apr 10, 2026",
"status": {
"label": "Scheduled"
},
"remaining_balance": "110.00",
"actions": {
"can_change_date": true,
"can_skip": true
},
"action_items": [
{
"label": "<string>",
"available": true
}
],
"schedule_time": "12:00:00"
}
}{
"message": "<string>"
}{
"message": "An active membership is required."
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>",
"errors": {}
}Change Consumer Profile scheduled payment date
Change a scheduled or failed payment date from the Consumer Profiles detail Payment Plans tab. The account must belong to the authenticated creditor company and assigned sub-account when applicable. The date must be tomorrow or later. Settled and removed accounts, transactions outside the selected consumer, and non-scheduled/non-failed transactions are rejected.
PATCH
/
manage-consumers
/
{consumer}
/
scheduled-transactions
/
{scheduleTransaction}
/
date
Change Consumer Profile scheduled payment date
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Consumer account ID.
Scheduled transaction ID that belongs to the consumer account.
Body
application/json
New scheduled payment date in Y-m-d format. Must be tomorrow or later.
Example:
"2026-07-15"
Last modified on July 20, 2026
Was this page helpful?
⌘I

